summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2018-08-10 12:13:12 -0400
committerTim Rozet <trozet@redhat.com>2018-08-10 12:14:53 -0400
commita4d3865fb1566990134fa050e477a441cfde62ed (patch)
tree24d172c1b7dfd79b42715bfc2e8d742ee4e15fcd
parentbe7daca688f483a05f32ad8acf49bfe65b76a976 (diff)
CPERF: CSIT updates
Changes-Include: - OPENSTACK_TOPO is now decided dynamically - Make the containerized start/stop commands more simple - Include CSIT logging in CSIT promotion Change-Id: I4b178cfd95cf45b808ab9e82b317b729e5f3028f Signed-off-by: Tim Rozet <trozet@redhat.com>
-rw-r--r--jjb/apex/apex.yaml8
-rw-r--r--jjb/apex/apex.yaml.j28
-rwxr-xr-xjjb/cperf/cperf-robot-netvirt-csit.sh19
3 files changed, 28 insertions, 7 deletions
diff --git a/jjb/apex/apex.yaml b/jjb/apex/apex.yaml
index 89338d8..e2676e0 100644
--- a/jjb/apex/apex.yaml
+++ b/jjb/apex/apex.yaml
@@ -891,6 +891,7 @@
- multijob:
name: csit
condition: SUCCESSFUL
+ execution-type: SEQUENTIALLY
projects:
- name: cperf-apex-csit-master
predefined-parameters: |
@@ -901,6 +902,13 @@
ODL_CONTAINERIZED=true
OS_VERSION=$OS_VERSION
node-parameters: true
+ kill-phase-on: NEVER
+ abort-all-job: false
+ - name: cperf-upload-logs-csit
+ predefined-parameters: |
+ ODL_BRANCH=$ODL_BRANCH
+ OS_VERSION=$OS_VERSION
+ node-parameters: true
kill-phase-on: FAILURE
abort-all-job: false
- multijob:
diff --git a/jjb/apex/apex.yaml.j2 b/jjb/apex/apex.yaml.j2
index 865dc69..dacdaca 100644
--- a/jjb/apex/apex.yaml.j2
+++ b/jjb/apex/apex.yaml.j2
@@ -779,6 +779,7 @@
- multijob:
name: csit
condition: SUCCESSFUL
+ execution-type: SEQUENTIALLY
projects:
- name: cperf-apex-csit-master
predefined-parameters: |
@@ -789,6 +790,13 @@
ODL_CONTAINERIZED=true
OS_VERSION=$OS_VERSION
node-parameters: true
+ kill-phase-on: NEVER
+ abort-all-job: false
+ - name: cperf-upload-logs-csit
+ predefined-parameters: |
+ ODL_BRANCH=$ODL_BRANCH
+ OS_VERSION=$OS_VERSION
+ node-parameters: true
kill-phase-on: FAILURE
abort-all-job: false
- multijob:
diff --git a/jjb/cperf/cperf-robot-netvirt-csit.sh b/jjb/cperf/cperf-robot-netvirt-csit.sh
index 80f4f37..f01bf04 100755
--- a/jjb/cperf/cperf-robot-netvirt-csit.sh
+++ b/jjb/cperf/cperf-robot-netvirt-csit.sh
@@ -33,6 +33,12 @@ NUM_COMPUTE_NODES=$(python ${REL_PATH}/parse-node-yaml.py num_nodes --node-type
echo "Number of Control nodes found: ${NUM_CONTROL_NODES}"
echo "Number of Compute nodes found: ${NUM_COMPUTE_NODES}"
+if [ "$NUM_COMPUTE_NODES" -eq 0 ]; then
+ OPENSTACK_TOPO="${NUM_CONTROL_NODES}cmb-0ctl-0cmp"
+else
+ OPENSTACK_TOPO="0cmb-${NUM_CONTROL_NODES}ctl-${NUM_COMPUTE_NODES}cmp"
+fi
+
idx=1
EXTRA_ROBOT_ARGS=""
for idx in `seq 1 $NUM_CONTROL_NODES`; do
@@ -58,12 +64,11 @@ if [ "$ODL_CONTAINERIZED" == 'false' ]; then
-v NODE_STOP_COMMAND:'sudo systemctl stop opendaylight_api' \
-v NODE_FREEZE_COMMAND:'sudo systemctl stop opendaylight_api' "
else
- EXTRA_ROBOT_ARGS+=" -v NODE_KARAF_COUNT_COMMAND:\"sudo docker exec opendaylight_api /bin/bash -c 'ps axf | \
- grep org.apache.karaf | grep -v grep | wc -l' || echo 0\" \
- -v NODE_START_COMMAND:\"sudo docker start opendaylight_api\" \
- -v NODE_KILL_COMMAND:\"sudo docker stop opendaylight_api\" \
- -v NODE_STOP_COMMAND:\"sudo docker stop opendaylight_api\" \
- -v NODE_FREEZE_COMMAND:\"sudo docker stop opendaylight_api\" "
+ EXTRA_ROBOT_ARGS+=" -v NODE_KARAF_COUNT_COMMAND:'sudo docker ps | grep opendaylight_api | wc -l || echo 0' \
+ -v NODE_START_COMMAND:'sudo docker start opendaylight_api' \
+ -v NODE_KILL_COMMAND:'sudo docker stop opendaylight_api' \
+ -v NODE_STOP_COMMAND:'sudo docker stop opendaylight_api' \
+ -v NODE_FREEZE_COMMAND:'sudo docker stop opendaylight_api' "
fi
# FIXME(trozet) remove this once it is fixed in csit
@@ -99,7 +104,7 @@ robot_cmd="pybot \
-v ODL_SYSTEM_IP:$CONTROLLER_1_IP \
-v OS_CONTROL_NODE_IP:$CONTROLLER_1_IP \
-v OPENSTACK_BRANCH:$FULL_OS_VER \
- -v OPENSTACK_TOPO:"0cmb-1ctl-2cmp" \
+ -v OPENSTACK_TOPO:$OPENSTACK_TOPO \
-v OS_USER:heat-admin \
-v ODL_ENABLE_L3_FWD:yes \
-v ODL_SYSTEM_USER:heat-admin \